Index: src/Actions/CmdAction/BondLengthTableAction.cpp
===================================================================
--- src/Actions/CmdAction/BondLengthTableAction.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Actions/CmdAction/BondLengthTableAction.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -9,4 +9,5 @@
 
 #include "Actions/CmdAction/BondLengthTableAction.hpp"
+#include "bondgraph.hpp"
 #include "config.hpp"
 #include "log.hpp"
Index: src/Actions/FragmentationAction/DepthFirstSearchAction.cpp
===================================================================
--- src/Actions/FragmentationAction/DepthFirstSearchAction.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Actions/FragmentationAction/DepthFirstSearchAction.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -10,4 +10,5 @@
 #include "Actions/FragmentationAction/DepthFirstSearchAction.hpp"
 #include "atom.hpp"
+#include "bondgraph.hpp"
 #include "config.hpp"
 #include "log.hpp"
Index: src/Actions/FragmentationAction/FragmentationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Actions/FragmentationAction/FragmentationAction.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -10,4 +10,5 @@
 #include "Actions/FragmentationAction/FragmentationAction.hpp"
 #include "atom.hpp"
+#include "bondgraph.hpp"
 #include "config.hpp"
 #include "log.hpp"
Index: src/Actions/MapOfActions.cpp
===================================================================
--- src/Actions/MapOfActions.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Actions/MapOfActions.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -266,5 +266,5 @@
   generic.insert("nonconvex-envelope");
 	generic.insert("pair-correlation");
-//	generic.insert("parse-xyz");
+	generic.insert("parse-xyz");
 //  generic.insert("principal-axis-system");
   generic.insert("remove-atom");
Index: src/Actions/ParserAction/LoadXyzAction.cpp
===================================================================
--- src/Actions/ParserAction/LoadXyzAction.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Actions/ParserAction/LoadXyzAction.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -8,11 +8,14 @@
 #include "Helpers/MemDebug.hpp"
 
+using namespace std;
+
 #include "Actions/ParserAction/LoadXyzAction.hpp"
 #include "Parser/XyzParser.hpp"
 
 #include <iostream>
+#include <set>
 #include <string>
+#include <vector>
 
-using namespace std;
 
 #include "UIElements/UIFactory.hpp"
@@ -21,5 +24,8 @@
 
 #include "atom.hpp"
+#include "log.hpp"
 #include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 /****** ParserLoadXyzAction *****/
@@ -37,5 +43,5 @@
 //};
 
-const char ParserLoadXyzAction::NAME[] = "LoadXyz";
+const char ParserLoadXyzAction::NAME[] = "parse-xyz";
 
 ParserLoadXyzAction::ParserLoadXyzAction() :
@@ -48,15 +54,50 @@
 Action::state_ptr ParserLoadXyzAction::performCall() {
   string filename;
-  XyzParser parser;
   Dialog *dialog = UIFactory::getInstance().makeDialog();
 
-  dialog->queryString("filename",&filename, "Filename of the xyz file");
+  dialog->queryString(NAME,&filename, NAME);
 
   if(dialog->display()) {
+    DoLog(1) && (Log() << Verbose(1) << "Parsing xyz file for new atoms." << endl);
     // parse xyz file
     ifstream input;
     input.open(filename.c_str());
-    if (!input.fail())
+    if (!input.fail()) {
+      // TODO: Remove the insertion into molecule when saving does not depend on them anymore. Also, remove molecule.hpp include
+      set <atom*> UniqueList;
+      {
+        vector<atom *> ListBefore = World::getInstance().getAllAtoms();
+        for (vector<atom *>::iterator runner = ListBefore.begin();runner != ListBefore.end(); ++runner)
+          UniqueList.insert(*runner);
+      }
+      XyzParser parser; // briefly instantiate a parser which is removed at end of focus
       parser.load(&input);
+      {
+        vector<atom *> ListAfter = World::getInstance().getAllAtoms();
+        pair< set<atom *>::iterator, bool > Inserter;
+        if (UniqueList.size() != ListAfter.size()) { // only create if new atoms have been parsed
+          MoleculeListClass *molecules = World::getInstance().getMolecules();
+          molecule *mol= NULL;
+          if (molecules->ListOfMolecules.empty()) {
+            mol = World::getInstance().createMolecule();
+            molecules->insert(mol);
+          } else {
+            mol = *(molecules->ListOfMolecules.begin());
+          }
+          for (vector<atom *>::iterator runner = ListAfter.begin(); runner != ListAfter.end(); ++runner) {
+            Inserter = UniqueList.insert(*runner);
+            if (Inserter.second) { // if not present, then new (just parsed) atom, add ...
+              cout << "Adding new atom " << **runner << " to new mol." << endl;
+              mol->AddAtom(*runner);
+            }
+          }
+          mol->doCountAtoms();
+        } else {
+          cout << "No atoms parsed?" << endl;
+        }
+      }
+    } else {
+      DoeLog(1) && (eLog() << Verbose(1) << "Could not open file " << filename << "." << endl);
+    }
     input.close();
   }
Index: src/ConfigFileBuffer.cpp
===================================================================
--- src/ConfigFileBuffer.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
+++ src/ConfigFileBuffer.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -0,0 +1,182 @@
+/*
+ * ConfigFileBuffer.cpp
+ *
+ *  Created on: 12.06.2010
+ *      Author: heber
+ */
+
+#include "ConfigFileBuffer.hpp"
+#include "helpers.hpp"
+#include "lists.hpp"
+#include "log.hpp"
+#include "World.hpp"
+
+/******************************** Functions for class ConfigFileBuffer **********************/
+
+/** Structure containing compare function for Ion_Type sorting.
+ */
+struct IonTypeCompare {
+  bool operator()(const char* s1, const char *s2) const {
+    char number1[8];
+    char number2[8];
+    const char *dummy1, *dummy2;
+    //Log() << Verbose(0) << s1 << "  " << s2 << endl;
+    dummy1 = strchr(s1, '_')+sizeof(char)*5;  // go just after "Ion_Type"
+    dummy2 = strchr(dummy1, '_');
+    strncpy(number1, dummy1, dummy2-dummy1); // copy the number
+    number1[dummy2-dummy1]='\0';
+    dummy1 = strchr(s2, '_')+sizeof(char)*5;  // go just after "Ion_Type"
+    dummy2 = strchr(dummy1, '_');
+    strncpy(number2, dummy1, dummy2-dummy1); // copy the number
+    number2[dummy2-dummy1]='\0';
+    if (atoi(number1) != atoi(number2))
+      return (atoi(number1) < atoi(number2));
+    else {
+      dummy1 = strchr(s1, '_')+sizeof(char);
+      dummy1 = strchr(dummy1, '_')+sizeof(char);
+      dummy2 = strchr(dummy1, ' ') < strchr(dummy1, '\t') ? strchr(dummy1, ' ') : strchr(dummy1, '\t');
+      strncpy(number1, dummy1, dummy2-dummy1); // copy the number
+      number1[dummy2-dummy1]='\0';
+      dummy1 = strchr(s2, '_')+sizeof(char);
+      dummy1 = strchr(dummy1, '_')+sizeof(char);
+      dummy2 = strchr(dummy1, ' ') < strchr(dummy1, '\t') ? strchr(dummy1, ' ') : strchr(dummy1, '\t');
+      strncpy(number2, dummy1, dummy2-dummy1); // copy the number
+      number2[dummy2-dummy1]='\0';
+      return (atoi(number1) < atoi(number2));
+    }
+  }
+};
+
+/** Constructor for ConfigFileBuffer class.
+ */
+ConfigFileBuffer::ConfigFileBuffer() : buffer(NULL), LineMapping(NULL), CurrentLine(0), NoLines(0)
+{
+};
+
+/** Constructor for ConfigFileBuffer class with filename to be parsed.
+ * \param *filename file name
+ */
+ConfigFileBuffer::ConfigFileBuffer(const char * const filename) : buffer(NULL), LineMapping(NULL), CurrentLine(0), NoLines(0)
+{
+  InitFileBuffer(filename);
+}
+
+void ConfigFileBuffer::InitFileBuffer(const char * const filename)
+{
+  ifstream *file= new ifstream(filename);
+  InitFileBuffer(file);
+}
+
+void ConfigFileBuffer::InitFileBuffer(istream *file)
+{
+  char line[MAXSTRINGSIZE];
+
+  RemoveMapping();
+
+  // prescan number of lines
+  if (file->fail()) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "config file missing!" << endl);
+    return;
+  }
+  NoLines = 0; // we're overcounting by one
+  long file_position = file->tellg(); // mark current position
+  do {
+    file->getline(line, MAXSTRINGSIZE-1);
+    NoLines++;
+  } while (!file->eof());
+  file->clear();
+  file->seekg(file_position, ios::beg);
+  DoLog(1) && (Log() << Verbose(1) << NoLines-1 << " lines were recognized." << endl);
+
+  // allocate buffer's 1st dimension
+  if (buffer != NULL) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "FileBuffer->buffer is not NULL!" << endl);
+    return;
+  } else
+    buffer = new char *[NoLines];
+
+  // scan each line and put into buffer
+  int lines=0;
+  int i;
+  do {
+    buffer[lines] = new char[MAXSTRINGSIZE];
+    file->getline(buffer[lines], MAXSTRINGSIZE-1);
+    i = strlen(buffer[lines]);
+    buffer[lines][i] = '\n';
+    buffer[lines][i+1] = '\0';
+    lines++;
+  } while((!file->eof()) && (lines < NoLines));
+  DoLog(1) && (Log() << Verbose(1) << lines-1 << " lines were read into the buffer." << endl);
+  file->clear();
+  file->seekg(file_position, ios::beg);
+
+  InitMapping();
+}
+
+/** Destructor for ConfigFileBuffer class.
+ */
+ConfigFileBuffer::~ConfigFileBuffer()
+{
+  RemoveBuffer();
+  RemoveMapping();
+}
+
+
+/** Create trivial mapping.
+ */
+void ConfigFileBuffer::InitMapping()
+{
+  LineMapping = new int[NoLines];
+  for (int i=0;i<NoLines;i++)
+    LineMapping[i] = i;
+  MappingAllocated = true;
+}
+
+/** Remove allocated mapping.
+ */
+void ConfigFileBuffer::RemoveMapping()
+{
+  delete[](LineMapping);
+  MappingAllocated = false;
+}
+
+/** Remove allocated mapping.
+ */
+void ConfigFileBuffer::RemoveBuffer()
+{
+  for(int i=0;i<NoLines;++i)
+    delete[](buffer[i]);
+  delete[](buffer);
+}
+
+
+/** Creates a mapping for the \a *FileBuffer's lines containing the Ion_Type keyword such that they are sorted.
+ * \a *map on return contains a list of NoAtom entries such that going through the list, yields indices to the
+ * lines in \a *FileBuffer in a sorted manner of the Ion_Type?_? keywords. We assume that ConfigFileBuffer::CurrentLine
+ * points to first Ion_Type entry.
+ * \param *FileBuffer pointer to buffer structure
+ * \param NoAtoms of subsequent lines to look at
+ */
+void ConfigFileBuffer::MapIonTypesInBuffer(const int NoAtoms)
+{
+  map<const char *, int, IonTypeCompare> IonTypeLineMap;
+  if (!MappingAllocated) {
+    InitMapping();
+  }
+
+  // put all into hashed map
+  for (int i=0; i<NoAtoms; ++i) {
+    IonTypeLineMap.insert(pair<const char *, int> (buffer[CurrentLine+i], CurrentLine+i));
+  }
+
+  // fill map
+  int nr=0;
+  for (map<const char *, int, IonTypeCompare>::iterator runner = IonTypeLineMap.begin(); runner != IonTypeLineMap.end(); ++runner) {
+    if (CurrentLine+nr < NoLines)
+      LineMapping[CurrentLine+(nr++)] = runner->second;
+    else {
+      DoeLog(0) && (eLog()<< Verbose(0) << "config::MapIonTypesInBuffer - NoAtoms is wrong: We are past the end of the file!" << endl);
+      performCriticalExit();
+    }
+  }
+}
Index: src/ConfigFileBuffer.hpp
===================================================================
--- src/ConfigFileBuffer.hpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
+++ src/ConfigFileBuffer.hpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -0,0 +1,53 @@
+/*
+ * ConfigFileBuffer.hpp
+ *
+ *  Created on: 12.06.2010
+ *      Author: heber
+ */
+
+#ifndef CONFIGFILEBUFFER_HPP_
+#define CONFIGFILEBUFFER_HPP_
+
+
+/*********************************************** includes ***********************************/
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <iostream>
+
+/****************************************** forward declarations *****************************/
+
+/********************************************** declarations *******************************/
+
+class ConfigFileBuffer {
+  public:
+    char **buffer;
+    int *LineMapping;
+    int CurrentLine;
+    int NoLines;
+
+    ConfigFileBuffer();
+    ConfigFileBuffer(const char * const filename);
+    ~ConfigFileBuffer();
+
+    void InitFileBuffer(const char * const filename);
+    void InitFileBuffer(std::istream *file);
+    void MapIonTypesInBuffer(const int NoAtoms);
+
+private:
+
+    /*
+     * Whether LineMapping is allocated or not.
+     */
+    bool MappingAllocated;
+
+    void InitMapping();
+    void RemoveMapping();
+    void RemoveBuffer();
+};
+
+
+#endif /* CONFIGFILEBUFFER_HPP_ */
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Makefile.am	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -88,9 +88,14 @@
   Parser/ChangeTracker.cpp \
   Parser/FormatParser.cpp \
+  Parser/MpqcParser.cpp \
+  Parser/PcpParser.cpp \
   Parser/TremoloParser.cpp \
   Parser/XyzParser.cpp
+
 PARSERHEADER = \
   Parser/ChangeTracker.hpp \
   Parser/FormatParser.hpp \
+  Parser/MpqcParser.hpp \
+  Parser/PcpParser.hpp \
   Parser/TremoloParser.hpp \
   Parser/XyzParser.hpp
@@ -153,4 +158,5 @@
   CommandLineParser.cpp \
   config.cpp \
+  ConfigFileBuffer.cpp \
   element.cpp \
   elements_db.cpp \
@@ -178,4 +184,5 @@
   tesselation.cpp \
   tesselationhelpers.cpp \
+  ThermoStatContainer.cpp \
   triangleintersectionlist.cpp \
   vector.cpp \
@@ -198,4 +205,5 @@
   CommandLineParser.hpp \
   config.hpp \
+  ConfigFileBuffer.hpp \
   defs.hpp \
   element.hpp \
@@ -220,4 +228,5 @@
   tesselation.hpp \
   tesselationhelpers.hpp \
+  ThermoStatContainer.hpp \
   triangleintersectionlist.hpp \
   verbose.hpp \
Index: src/Parser/ChangeTracker.cpp
===================================================================
--- src/Parser/ChangeTracker.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Parser/ChangeTracker.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -7,8 +7,7 @@
 
 #include "Helpers/MemDebug.hpp"
+#include "Parser/ChangeTracker.hpp"
+#include "Patterns/Singleton_impl.hpp"
 
-#include "ChangeTracker.hpp"
-
-ChangeTracker* ChangeTracker::instance = NULL;
 
 /**
@@ -27,26 +26,4 @@
 ChangeTracker::~ChangeTracker() {
   World::getInstance().signOff(this);
-}
-
-/**
- * Returns the change tracker instance.
- *
- * \return this
- */
-ChangeTracker* ChangeTracker::get() {
-  if (instance == NULL) {
-    instance = new ChangeTracker();
-  }
-
-  return instance;
-}
-
-/**
- * Destroys the change tracker instance. Be careful, the change tracker is a
- * singleton and destruction might lead to a loss of consistency.
- */
-void ChangeTracker::destroy() {
-  delete instance;
-  instance = NULL;
 }
 
@@ -76,2 +53,4 @@
   }
 }
+
+CONSTRUCT_SINGLETON(ChangeTracker)
Index: src/Parser/ChangeTracker.hpp
===================================================================
--- src/Parser/ChangeTracker.hpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Parser/ChangeTracker.hpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -18,5 +18,6 @@
  * changes to it.
  */
-class ChangeTracker : public Observable {
+class ChangeTracker : public Singleton<ChangeTracker>, public Observable {
+  friend class Singleton<ChangeTracker>;
 public:
   void saveStatus();
@@ -31,4 +32,6 @@
   bool isConsistent;
   static ChangeTracker* instance;
+
+  // private constructor and destructor due to singleton
   ChangeTracker();
   ~ChangeTracker();
Index: src/Parser/FormatParser.cpp
===================================================================
--- src/Parser/FormatParser.cpp	(revision f34c238ce5cc901d49c2b7d96c15786b1d2d390d)
+++ src/Parser/FormatParser.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -19,5 +19,5 @@
   Observer("FormatParser")
 {
-  ChangeTracker::get()->signOn(this);
+  ChangeTracker::getInstance().signOn(this);
   saveStream = NULL;
 }
@@ -27,5 +27,5 @@
  */
 FormatParser::~FormatParser() {
-  ChangeTracker::get()->signOff(this);
+  ChangeTracker::getInstance().signOff(this);
 }
 
Index: src/Parser/MpqcParser.cpp
===================================================================
--- src/Parser/MpqcParser.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
+++ src/Parser/MpqcParser.cpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -0,0 +1,144 @@
+/*
+ * MpqcParser.cpp
+ *
+ *  Created on: 12.06.2010
+ *      Author: heber
+ */
+
+#include <iostream>
+
+#include "MpqcParser.hpp"
+
+#include "atom.hpp"
+#include "config.hpp"
+#include "element.hpp"
+#include "log.hpp"
+#include "periodentafel.hpp"
+#include "vector.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
+
+
+/** Constructor of MpqcParser.
+ *
+ */
+MpqcParser::MpqcParser()
+{
+
+}
+
+/** Destructor of MpqcParser.
+ *
+ */
+MpqcParser::~MpqcParser() {
+
+}
+
+/** Load an MPQC config file into the World.
+ * \param *file input stream
+ */
+void MpqcParser::load(istream *file)
+{
+  DoeLog(0) && (Log() << Verbose(0) << "Not yet implemented" << endl) ;
+}
+
+void MpqcParser::save(ostream *file)
+{
+  if (HessianPresent)
+    saveHessian(file);
+  else
+    saveSimple(file);
+}
+
+/** Saves all atoms and data into a MPQC config file without hessian.
+ * \param *file output stream
+ */
+void MpqcParser::saveSimple(ostream *file)
+{
+  int AtomNo = 0;
+  Vector center;
+  vector<atom *> allatoms = World::getInstance().getAllAtoms();
+
+  // first without hessian
+  if (file->fail()) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open mpqc output file." << endl);
+  } else {
+    *file << "% Created by MoleCuilder" << endl;
+    *file << "mpqc: (" << endl;
+    *file << "\tsavestate = no" << endl;
+    *file << "\tdo_gradient = yes" << endl;
+    *file << "\tmole<MBPT2>: (" << endl;
+    *file << "\t\tmaxiter = 200" << endl;
+    *file << "\t\tbasis = $:basis" << endl;
+    *file << "\t\tmolecule = $:molecule" << endl;
+    *file << "\t\treference<CLHF>: (" << endl;
+    *file << "\t\t\tbasis = $:basis" << endl;
+    *file << "\t\t\tmolecule = $:molecule" << endl;
+    *file << "\t\t)" << endl;
+    *file << "\t)" << endl;
+    *file << ")" << endl;
+    *file << "molecule<Molecule>: (" << endl;
+    *file << "\tunit = " << (World::getInstance().getConfig()->GetIsAngstroem() ? "angstrom" : "bohr" ) << endl;
+    *file << "\t{ atoms geometry } = {" << endl;
+    // output of atoms
+    for (vector<atom *>::iterator AtomRunner = allatoms.begin(); AtomRunner != allatoms.end(); ++AtomRunner) {
+      (*AtomRunner)->OutputMPQCLine(file, &center, &AtomNo);
+    }
+    *file << "\t}" << endl;
+    *file << ")" << endl;
+    *file << "basis<GaussianBasisSet>: (" << endl;
+    *file << "\tname = \"" << World::getInstance().getConfig()->basis << "\"" << endl;
+    *file << "\tmolecule = $:molecule" << endl;
+    *file << ")" << endl;
+  }
+}
+
+/** Saves all atoms and data into a MPQC config file with hessian.
+ * \param *file output stream
+ */
+void MpqcParser::saveHessian(ostream *file)
+{
+  int AtomNo = 0;
+  Vector center;
+  vector<atom *> allatoms = World::getInstance().getAllAtoms();
+
+  // with hessian
+  if (file->fail()) {
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open mpqc output file." << endl);
+  } else {
+    *file << "% Created by MoleCuilder" << endl;
+    *file << "mpqc: (" << endl;
+    *file << "\tsavestate = no" << endl;
+    *file << "\tdo_gradient = yes" << endl;
+    *file << "\tmole<CLHF>: (" << endl;
+    *file << "\t\tmaxiter = 200" << endl;
+    *file << "\t\tbasis = $:basis" << endl;
+    *file << "\t\tmolecule = $:molecule" << endl;
+    *file << "\t)" << endl;
+    *file << "\tfreq<MolecularFrequencies>: (" << endl;
+    *file << "\t\tmolecule=$:molecule" << endl;
+    *file << "\t)" << endl;
+    *file << ")" << endl;
+    *file << "molecule<Molecule>: (" << endl;
+    *file << "\tunit = " << (World::getInstance().getConfig()->GetIsAngstroem() ? "angstrom" : "bohr" ) << endl;
+    *file << "\t{ atoms geometry } = {" << endl;
+    // output of atoms
+    for (vector<atom *>::iterator AtomRunner = allatoms.begin(); AtomRunner != allatoms.end(); ++AtomRunner) {
+      (*AtomRunner)->OutputMPQCLine(file, &center, &AtomNo);
+    }
+    *file << "\t}" << endl;
+    *file << ")" << endl;
+    *file << "basis<GaussianBasisSet>: (" << endl;
+    *file << "\tname = \"" << World::getInstance().getConfig()->basis << "\"" << endl;
+    *file << "\tmolecule = $:molecule" << endl;
+    *file << ")" << endl;
+  }
+}
+
+/** Sets whether hessian is desired or not
+ * \param hessian statement
+ */
+void MpqcParser::setHessian(bool hessian)
+{
+  HessianPresent = hessian;
+}
Index: src/Parser/MpqcParser.hpp
===================================================================
--- src/Parser/MpqcParser.hpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
+++ src/Parser/MpqcParser.hpp	(revision d3dff06e8fff78fceae7c93eb68106e91329b667)
@@ -0,0 +1,35 @@
+/*
+ * MpqcParser.hpp
+ *
+ *  Created on: 12.06.2010
+ *      Author: heber
+ */
+
+#ifndef MPQCPARSER_HPP_
+#define MPQCPARSER_HPP_
+
+#include <iostream>
+#include "FormatParser.hpp"
+
+/**
+ * Loads a MPQC config file into the World and saves the World as a tremolo file.
+ */
+class MpqcParser : public FormatParser
+{
+public:
+  MpqcParser();
+  ~MpqcParser();
+  void load(std::istream* file);
+  void save(std::ostream* file);
+
+  void setHessian(bool hessian);
+
+private:
+  // whether output with computing hessian is desired.
+  bool HessianPresent;
+
+  void saveSimple(std::ostream *file);
+  void saveHessian(std::ostream *file);
+};
+
+#endif /* MPQCPARSER_HPP_ */
